
 LinHES - Feature # 689: Add ability to cycle through windows with a discrete keystroke.

Status: Closed Priority: Normal
Author: GregFrost Category: Packages: Core
Created: 04/16/2010 Assignee: cecil
Updated: 05/16/2010 Due date:
Description: I am looking at adding the ability to switch windows using the remote. A way that I have found to implement 

this it using xmacro to simulate a keypress that the window manager recognises. Fluxbox doesnt seem to 
have a key mapped that allows flicking through the windoes (alt-tab doesnt really work in the lirc/xmacro 
context because it requires alt to be held to cycle through all of the windows).
I mapped Mod1 Escape (Alt-Escape) to the command GotoWindow {1} and this seems to cycle through the 
windows nicely without the need to hold Alt. This is the line in ~mythtv/.fluxbox/keys:
<pre>
Mod1 Escape :GotoWindow {1}
</pre>
Anyone have objections to this being added to the default keylist?
Is there a way to get it added to ~mythtv/.fluxbox/keys?  that file doesnt seem to be owned by a package.
The key is just the first part. Then I would need to add the xmacro package and a script that calls it to simulate 
the Alt-Escape key sequence. Then anyone could add that to a button in their lircrc.

History
04/16/2010 08:27 am - brfransen
No objections here.  The keys file is part of the fluxbox package.

04/16/2010 08:31 am - brfransen
To clarify the /usr/share/fluxbox/keys file is part of the fluxbox package.  The keys file in the user directory is not.

04/16/2010 09:22 am - jams
Add it to /usr/share/fluxbox/keys  so that new installs pick it up.
Have a look at using xdotool instead of xmacro.  Xdotool should work for this and it's already installed by default.

04/17/2010 08:13 pm - cecil
- Assignee set to cecil

- Target version set to 6.03.00

04/17/2010 08:18 pm - cecil
- Status changed from New to In Progress

@sudo pacman -Sy fluxbox@
Does it work as desired?

04/17/2010 08:18 pm - cecil
- % Done changed from 0 to 50

04/17/2010 10:50 pm - GregFrost
I had to manually add it to ~mythtv/.fluxbox/keys, but it seems to work, so it should work for new installs now that you have added it to the file that 
~mythtv/.fluxbox/keys is derived from.
To get the remote button to do it, I just added this to my lircrc file:
<pre>
# Cycle through X windows.
begin
  prog   = irexec
  button = LiveTV
  config = xdotool key Alt+Escape
end
</pre>

05/16/2010 05:26 pm - cecil
- Category set to Packages: Core

- % Done changed from 50 to 100

- Status changed from In Progress to Closed

Greg, please create a wiki/forum topic to describe this.
